diff mbox

[1/2] UBUNTU: skip PAE check on arm

Message ID 1337164314-7330-2-git-send-email-paolo.pisati@canonical.com
State New
Headers show

Commit Message

Paolo Pisati May 16, 2012, 10:31 a.m. UTC
Signed-off-by: Paolo Pisati <paolo.pisati@canonical.com>
---
 debian/control-scripts/preinst |   12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)
diff mbox

Patch

diff --git a/debian/control-scripts/preinst b/debian/control-scripts/preinst
index 32b4fc2..84bcf93 100644
--- a/debian/control-scripts/preinst
+++ b/debian/control-scripts/preinst
@@ -90,10 +90,14 @@  die "Pre inst Internal error. Aborting." unless $version;
 exit 0 if $ARGV[0] =~ /abort-upgrade/;
 exit 1 unless $ARGV[0] =~ /(install|upgrade)/;
 
-system ("grep -q ' pae ' /proc/cpuinfo");
-if ($?) {
-        print "This kernel does not support a non-PAE CPU.\n";
-        exit 1;
+$arch = `uname -m`;
+chomp($arch);
+if ($arch ne "armv7l") {
+	system ("grep -q ' pae ' /proc/cpuinfo");
+	if ($?) {
+			print "This kernel does not support a non-PAE CPU.\n";
+			exit 1;
+	}
 }
 
 # remove multiple leading slashes; make sure there is at least one.